# std::chrono::link

From cppreference.com
< cpp‎ | chrono

Defined in header `<chrono>` |  |
class link; |  | (since C++20)

The class `link` represents an alternative name for a time zone.

Users cannot construct `link` objects. The library implementation creates `link` objects when it initializes the time zone database and provides const access to these objects.

`link` is not copyable but does have a defaulted move constructor and a defaulted move assignment operator. However, as users have only `const` access to `link` objects, these functions cannot be called in user code without invoking undefined behavior.

### Member functions

nametarget | accesses the name and target of this `link` (public member function)

### Nonmember functions

operator==operator!=operator<operator<=operator>operator>= | compares two `link` objects (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/link&oldid=104683"